package com.quickblox.quickblox_sdk;

import androidx.test.platform.app.InstrumentationRegistry;

import com.quickblox.auth.session.QBSettings;
import com.quickblox.users.model.QBUser;

import junit.framework.TestCase;

public class BaseTest extends TestCase {
    public static final int USER_ID = 0;
    public static final String USER_PASSWORD = "";
    public static final String USER_LOGIN = "";

    public static final String applicationId = "";
    public static final String authorizationKey = "";
    public static final String authorizationSecret = "";
    public static final String accountKey = "";

    protected void initCredentials() {
        QBSettings.getInstance().init(InstrumentationRegistry.getInstrumentation().getTargetContext(),
                applicationId, authorizationKey, authorizationSecret);
        QBSettings.getInstance().setAccountKey(accountKey);
    }

    protected QBUser buildUser() {
        QBUser user = new QBUser();
        user.setPassword(USER_PASSWORD);
        user.setId(BaseTest.USER_ID);
        user.setLogin(USER_LOGIN);

        return user;
    }
}